# Efficient Convex Zone Merging in Parametric Timed Automata

This archive contains all the needed files to generate the results presented in the Table 1 and Appendix A of the corresponding paper.

- [Results](results/)
  - This folder contains all the results of the runs performed (each property has been executed five times), with the generating scripts
- [Input](input/)
  - This folder contains the results of the runs: [results_1.csv](input/results_1.csv) is the output of the first execution [run1](results/run1/)
- Scripts:
  - `python3 states.py` generates two files:
    - output_result_states.csv for the results over states (averages, etc.)
    - output_result_has_merges.csv where, for each couple (model, property) the value is `True` if at least one heuristic performs one merge (used for averages 'where a successful merge is performed' or 'where no successful merge is performed')
  - `python3 time.py` generates the file output_result_time.csv for the results over time
  - `python3 write_latex.py` generates the table presented in Appendix C of the paper
  - `sh make-all.sh` runs these three scripts
