import csv
import datetime
import os

csv_sep = ","

from executions import executions_to_do

experiment_name = "result"
result_directory = experiment_name.replace(" ", "")
if not os.path.isdir(result_directory):
    os.mkdir(result_directory)


## parsing
def extract_list_of_executions(csv_file):
    """
    Read the csv-file and generate a dictionary
    :param csv_file: file with [model, prop] to use
    :return: a list [ {Model: model_name, Property: prop_name, Path: path from benchmarks_location, Extra-command: ..} ]
    """
    f = ""  # for syntax color
    try:
        f = open(csv_file, "r")
    except FileNotFoundError:
        print("File {} not found".format(csv_file))
        exit(1)
    L = []
    reader = csv.DictReader(f, delimiter=csv_sep)
    for row in reader:
        L.append(row)
    return L


## naming
def def_res(model, prop, timeout, execution=""):
    """
    Return res file name, without extension
    :param model:
    :param prop:
    :param timeout:
    :param execution: key of execution_to_do
    :return:
    """
    file = "{}+{}{}".format(model, prop, "+{}".format(timeout) if timeout != 0 else "")
    if execution != "":
        file += "+{}".format(execution)
    return file


## reading
# extract a value from a file and key
def extract_value(file, key):
    try:
        f = open(file, "r")
    except FileNotFoundError:
        return ""
    lines = f.read().split("\n")
    for l in lines:
        if key in l.split(":")[0]:
            return l.split(":")[1]
    return ""
