import os

benchmarks_location="~/benchmarks"
imitator_cmd = "~/imitator/bin/imitator"

polyop_cmd = "~/PolyOp/bin/polyop"

class ImitatorParams:
    model_extension = ".imi"
    prop_extension = ".imiprop"
    res_extension = ".res"
    polyop_extension = ".polyop"
    polyop_res_extension = ".res"

    res_begin_constraint = "BEGIN CONSTRAINT"
    res_end_constraint = "END CONSTRAINT"
    polyop_res_begin_answer = "BEGIN ANSWER"
    polyop_res_end_answer = "END ANSWER"

class ImitatorNaming:
    @staticmethod
    def absolute_path_of_model(path, model_name):
        path = os.path.join(benchmarks_location, path, model_name) + ImitatorParams.model_extension
        return path

    @staticmethod
    def absolute_path_of_prop(path, prop_name):
        path = os.path.join(benchmarks_location, path, prop_name) + ImitatorParams.prop_extension
        return path
